<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_1D_DopplerLines Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_1D_DopplerLines Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Active Doppler lines, lines (bins) on which the CFAR detector detected objects during the detections in Doppler direction.  
 <a href="struct_mmw_demo__1_d___doppler_lines.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/dss_data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a41731676ae39ab4ab6dc856e5b2c6d62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41731676ae39ab4ab6dc856e5b2c6d62"></a>
uint32_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__1_d___doppler_lines.html#a41731676ae39ab4ab6dc856e5b2c6d62">dopplerLineMask</a></td></tr>
<tr class="memdesc:a41731676ae39ab4ab6dc856e5b2c6d62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Doppler line bit mask of active (CFAR detected) Doppler bins in the first round of CFAR detections in DOppler direction. The LSB bit of the first word corresponds to Doppler bin zero of the range/Doppler detection matrix. <br /></td></tr>
<tr class="separator:a41731676ae39ab4ab6dc856e5b2c6d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac705deaf1e07a08f71ece4188c7febdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac705deaf1e07a08f71ece4188c7febdd"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__1_d___doppler_lines.html#ac705deaf1e07a08f71ece4188c7febdd">currentIndex</a></td></tr>
<tr class="memdesc:ac705deaf1e07a08f71ece4188c7febdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">starting index for the search for next active Doppler line <br /></td></tr>
<tr class="separator:ac705deaf1e07a08f71ece4188c7febdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa738fe9cec4c60612ee9198a4eafb1f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa738fe9cec4c60612ee9198a4eafb1f0"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__1_d___doppler_lines.html#aa738fe9cec4c60612ee9198a4eafb1f0">dopplerLineMaskLen</a></td></tr>
<tr class="memdesc:aa738fe9cec4c60612ee9198a4eafb1f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">size of dopplerLineMask array, (number of 32_bit words, for example for Doppler FFT size of 64 this length is equal to 2) <br /></td></tr>
<tr class="separator:aa738fe9cec4c60612ee9198a4eafb1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Active Doppler lines, lines (bins) on which the CFAR detector detected objects during the detections in Doppler direction. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/<a class="el" href="dss__data__path_8h.html">dss_data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
